core::trust::CachedAgent::Reporter Struct Reference

Abstract capturer of internal events for post-mortem debugging/analysis purposes. More...

`#include <cached_agent.h>`

Collaboration diagram for core::trust::CachedAgent::Reporter:

## Public Member Functions

virtual void | report_cached_answer_found (const core::trust::Agent::RequestParameters &, const core::trust::Request &)
| Invoked whenever the implementation was able to resolve a cached request. More...
virtual void | report_user_prompted_for_trust (const core::trust::Agent::RequestParameters &, const core::trust::Request::Answer &)
| Invoked whenever the implementation called out to an agent to prompt the user for trust. More...

## Detailed Description

Abstract capturer of internal events for post-mortem debugging/analysis purposes.

Definition at line 36 of file cached_agent.h.

## Member Function Documentation

virtual void core::trust::CachedAgent::Reporter::report_cached_answer_found | ( | const core::trust::Agent::RequestParameters & | ,
|  | const core::trust::Request & |
| ) |  |

virtual

Invoked whenever the implementation was able to resolve a cached request.

virtual void core::trust::CachedAgent::Reporter::report_user_prompted_for_trust | ( | const core::trust::Agent::RequestParameters & | ,
|  | const core::trust::Request::Answer & |
| ) |  |

virtual

Invoked whenever the implementation called out to an agent to prompt the user for trust.

The documentation for this struct was generated from the following file:

- /build/trust-store-uD3f_u/trust-store-2.0.0+16.04.20160119/include/core/trust/cached_agent.h